import moevie.db.DataAccess;
import moevie.db.DataAccessProvider;
import moevie.db.dao.FilmDAO;
import moevie.db.data.Film;

import java.util.List;

/**
 * Drukt de titels af van alle films die door 'albert' zijn gezien.
 */
public class Main {

    // OPGELET! Dit programma moet je uitvoeren met als werkmap de map
    // met alle databases, t.t.z., '...etc\db'

    public static void main(String[] args) {
        DataAccessProvider dap = DataAccess.getDAP("moevie");
        FilmDAO dao = dap.getFilmDAO();
        List<Film> films = dao.lijstFilms("albert");
        for (Film film : films) {
            if (film.isGezien()) {
                System.out.println(film.getTitel());
            }
        }
    }

    // bovenstaande kan ook korter genoteerd worden:
    public static void alternatief() {
        for (Film film : DataAccess.getDAP("moevie").getFilmDAO().lijstFilms("albert")) {
            if (film.isGezien()) {
                System.out.println(film.getTitel());
            }
        }
    }


}
